Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 17 Aug 2018, 19:29
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Google-drive Filemanager
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 3 [38 Posts]   Goto page: Previous 1, 2, 3 Next
Author Message
Mike Walsh


Joined: 28 Jun 2014
Posts: 4020
Location: King's Lynn, UK.

PostPosted: Sat 16 Dec 2017, 10:03    Post subject:  

Well, it never hurts to keep your certificates up-to-date, anyway.....and it'll help with whatever browsers folks are running.

I'm betting the 'problem kiddies' are like as not either Verisign or Google's own relatively new Root Certificate Authority. They seem have to have a finger in almost every pie between them, these days.

Might be an idea to also provide the updated certificates as a .pet package, perhaps? With the proviso to delete the existing contents of /etc/ssl/certs (if necessary) first, before installing. (This latter step for those Pups where GDrive_gui apparently doesn't want to work, since this is almost certainly the solution.)

I'll be trying it out in Lucid after lunch. Will report back.


Mike. Wink

_________________
MY PUPPY PACKAGES | 'Thanks' are always appreciated!
--------------------------------------

Back to top
View user's profile Send private message Visit poster's website 
Mike Walsh


Joined: 28 Jun 2014
Posts: 4020
Location: King's Lynn, UK.

PostPosted: Sat 16 Dec 2017, 11:02    Post subject:  

Hi, Fred.

Well, it's working a treat in Lucid, too!

I've made up a .pet for the updated certificates, for easier install for those who don't like using the terminal. Together with mirrored .pets, .debs, and portables, they can all be found here:-

http://www.mediafire.com/folder/ct3foc5i2cibj/GDrive_gui

I don't think there's a 5-series Puppy this won't work in. I can't comment on the 4-series, and older; for one thing, I've never tried them.....and for another, I know quite a number of things changed during the transition from one to t'other.

Be nice to get some feedback from users of 4-series Pups, no?


Mike. Wink

_________________
MY PUPPY PACKAGES | 'Thanks' are always appreciated!
--------------------------------------

Back to top
View user's profile Send private message Visit poster's website 
fredx181


Joined: 11 Dec 2013
Posts: 3214
Location: holland

PostPosted: Sat 16 Dec 2017, 11:54    Post subject:  

Mike Walsh wrote:
Well, it's working a treat in Lucid, too!
....
....


OK, nice !
I compiled the "drive" binaries in Debian Stretch and I'm a bit surprised that it seems to work everywhere, maybe it has to do with the fact that it's "go" language based (just guessing, don't know anything about it, I must admit)

Added in short your test results and link to your CA-certs-update .pet at the end of first post, thanks again Smile

Fred

_________________
Dog Linux website
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1628
Location: Italy

PostPosted: Sat 16 Dec 2017, 15:41    Post subject:  

It works in puppy 4.31, too. Thanks!
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 4020
Location: King's Lynn, UK.

PostPosted: Sat 16 Dec 2017, 16:38    Post subject:  

Mike Walsh wrote:
I can't comment on the 4-series, and older; for one thing, I've never tried them.....and for another, I know quite a number of things changed during the transition from one to t'other.

Be nice to get some feedback from users of 4-series Pups, no?


-----***-----

watchdog wrote:
It works in puppy 4.31, too. Thanks!


>>>>> There you go..... Smile


Mike. Wink

_________________
MY PUPPY PACKAGES | 'Thanks' are always appreciated!
--------------------------------------

Back to top
View user's profile Send private message Visit poster's website 
mikeb


Joined: 23 Nov 2006
Posts: 11143

PostPosted: Sun 17 Dec 2017, 14:14    Post subject:  

Not sure if this affects you or you are on the ball and already dealt with it.
http://bkhome.org/news/201712/gtk-stock-icons-missing.html

Well I did write this several years ago when I was just a nipper....

mike
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 3214
Location: holland

PostPosted: Tue 19 Dec 2017, 12:55    Post subject: Experimental v0.3.0
Subject description: Workaround by using yad for multiple selections
 

Here's an experimental version (0.3.0) with (a bit ugly?) workaround to support selecting multiple items.
For Add, Download or Remove button, (only) if nothing selected in the main GUI, a "yad" list window will appear from where you can select multiple items. (see screenshot).
Depends on having yad installed, version 0.20 or higher (the old version 0.12, which is included in some puppies won't work), the script checks for version number and will give message and exit if yad version is lower than 0.20.
EDIT: See here for v0.3.1, without yad version restriction
Other change is that all button icons should show now also in older puppies (changed icon= to stock=), thanks BarryK and mikeb.


32-bit pet v0.3.0: https://drive.google.com/uc?export=download&id=1av46P3NyZkvKNPvMTsiDmG99k-CP3g1f
64-bit pet v0.3.0: https://drive.google.com/uc?export=download&id=1gFjQhP0iKX9BHwf5leXOgpaQSKGFQnUw


32-bit deb v0.3.0: https://fredx181.github.io/StretchDog/i386/Packages/Extra/googledrivegui_0.3.0_i386.deb
64-bit deb v0.3.0: https://fredx181.github.io/StretchDog/amd64/Packages/Extra/googledrivegui_0.3.0_amd64.deb


32-bit portable v0.3.0: https://drive.google.com/uc?export=download&id=14w1h-mFSMnwec9yhf9dcfLab80RfFewb
64-bit portable v0.3.0: https://drive.google.com/uc?export=download&id=1z20RMa8b_LSowkT2jFPQglyte10Ck-c2
(See for a brief explanation about portable version in first post)

Fred
google-drive-gui-0.3.0.jpg
 Description   v0.3.0 with multiple selection support
 Filesize   91.81 KB
 Viewed   159 Time(s)

google-drive-gui-0.3.0.jpg


_________________
Dog Linux website

Last edited by fredx181 on Thu 21 Dec 2017, 06:16; edited 1 time in total
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 4020
Location: King's Lynn, UK.

PostPosted: Tue 19 Dec 2017, 13:29    Post subject:  

Hi, Fred.

A wee bit of feedback for you.

Experimentation shows that, making modifications to 0.2.0, if you change 'icon' to 'stock' all the way through the 'gdrive_gui' script in /usr/bin, then some buttons that previously showed an icon then seem to lose it!

If you wish to try this small modification to version 0.2.0, then be prepared to interchange 'icon' & 'stock' until you find the mix that works best for you. I've just done this in ETP's 'Chromebook Pup', which is based on Precise 5.7.1. I fully expect this same set of modifications to work in standard 571, too.

In this particular use-case, the buttons that need leaving as 'icon' (rather than changing to 'stock') are

'Add'
'Add all', &
'Download'.

I may try 0.3.0.....I may just leave things as they are. 0.2.0 is working fine for me, since I rarely, if ever, need to upload/download multiple files at once.

Question for you:- If a newer version of yad is required ('Chromepup's' got the old 0.12 version), then where's the best place to get a newer version?


Mike. Wink

_________________
MY PUPPY PACKAGES | 'Thanks' are always appreciated!
--------------------------------------


Last edited by Mike Walsh on Tue 19 Dec 2017, 13:39; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
vovchik


Joined: 23 Oct 2006
Posts: 1463
Location: Ukraine

PostPosted: Tue 19 Dec 2017, 13:36    Post subject:  

Dear fredx181,

Thanks very much for the google drive app. I have tried several things, including scripts that make use of ocaml-fuse, and I much prefer your lean and nicely coded script. The YAD multiple-file addition is very convenient, too, and everything is working on Tahr and on Mint 17.3. I also installed your script on my Raspbian PI3, and it works fine (I first had to compile gtkdialog and yad, but I had done that some time ago).

Again, many thanks and best regards,
vovchik
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 3214
Location: holland

PostPosted: Tue 19 Dec 2017, 13:54    Post subject:  

Mike Walsh wrote:
In this case, the buttons that need leaving as 'icon' (rather than changing to 'stock') are

'Add'
'Add all', &
'Download'.


Yes, that's right, the point is that some gtk icon names needs changed for stock=... to work (noticed that mikeb did that in his newest dropbox_gui)
For "Add" and "Add all" change to stock="gtk-go-forward" instead of: icon="gtk-go-forward-ltr"
For "Download" change to stock="gtk-go-back" instead of: icon="gtk-go-back-ltr"
(made these changes in gdrive_gui v0.3.0)

Fred

_________________
Dog Linux website

Last edited by fredx181 on Tue 19 Dec 2017, 14:07; edited 1 time in total
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 3214
Location: holland

PostPosted: Tue 19 Dec 2017, 14:01    Post subject:  

vovchik wrote:
Dear fredx181,

Thanks very much for the google drive app. I have tried several things, including scripts that make use of ocaml-fuse, and I much prefer your lean and nicely coded script. The YAD multiple-file addition is very convenient, too, and everything is working on Tahr and on Mint 17.3. I also installed your script on my Raspbian PI3, and it works fine (I first had to compile gtkdialog and yad, but I had done that some time ago).

Again, many thanks and best regards,
vovchik


Thanks vovchik !! Great to hear it's useful for you.

Fred

_________________
Dog Linux website
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 3214
Location: holland

PostPosted: Tue 19 Dec 2017, 14:23    Post subject:  

Mike Walsh wrote:
Question for you:- If a newer version of yad is required ('Chromepup's' got the old 0.12 version), then where's the best place to get a newer version?


Almost forgot to answer, a 32-bit pet from greengeek, see here:
http://www.murga-linux.com/puppy/viewtopic.php?p=890053#890053

A 64-bit pet, I couldn't find yet, anyone knows?
Anyway here's a 64 deb:
https://fredx181.github.io/StretchDog/amd64/Packages/Included/yad_0.31.2_amd64.deb

Fred

_________________
Dog Linux website
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 4020
Location: King's Lynn, UK.

PostPosted: Tue 19 Dec 2017, 15:15    Post subject:  

fredx181 wrote:
Mike Walsh wrote:
Question for you:- If a newer version of yad is required ('Chromepup's' got the old 0.12 version), then where's the best place to get a newer version?


Almost forgot to answer, a 32-bit pet from greengeek, see here:
http://www.murga-linux.com/puppy/viewtopic.php?p=890053#890053

A 64-bit pet, I couldn't find yet, anyone knows?
Anyway here's a 64 deb:
https://fredx181.github.io/StretchDog/amd64/Packages/Included/yad_0.31.2_amd64.deb

Fred


Thanks for those, Fred. Actually, I followed Smokey's instruction's in the first release of the Puppy Newsletter (from back in January), and compiled my own for Chromepup.. I didn't go for the absolute newest version (0.40.0), but with a somewhat older version, to be a bit more sympathetic to the rest of the system. I settled on 0.32.0, in the end.

Not at all hard, either.


Mike. Wink

_________________
MY PUPPY PACKAGES | 'Thanks' are always appreciated!
--------------------------------------


Last edited by Mike Walsh on Tue 19 Dec 2017, 16:50; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
mikeb


Joined: 23 Nov 2006
Posts: 11143

PostPosted: Tue 19 Dec 2017, 16:19    Post subject:  

Yad.... 0.9.1 . Why...built to work on such as puppy 4.12 and seems to provide multiple file selection...one to play with for anyone with older pups.

https://www.dropbox.com/s/dztlg70mieb6n0r/yad?dl=1

Could add yad multiple selection to dropbox doo dah if proves popular..would be nice..

mike

edit...link now working

Last edited by mikeb on Sun 24 Dec 2017, 10:48; edited 3 times in total
Back to top
View user's profile Send private message 
ally


Joined: 19 May 2012
Posts: 1832
Location: lincoln, uk

PostPosted: Tue 19 Dec 2017, 16:44    Post subject:  

FYI

the above link is 2.6gb

Smile
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 2 of 3 [38 Posts]   Goto page: Previous 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0773s ][ Queries: 12 (0.0176s) ][ GZIP on ]